<?php
/**
 * MyBB 1.6
 * Copyright 2010 MyBB Group, All Rights Reserved
 *
 * Website: http://mybb.com
 * License: http://mybb.com/about/license
 *
 * $Id$
 */

/**
 * Upgrade Script: Release Candidate 2
 */

$upgrade_detail = array(
	"revert_all_templates" => 1,
	"revert_all_themes" => 1,
	"revert_all_settings" => 1,
	"requires_deactivated_plugins" => 1,
);

function upgrade1_dbchanges()
{
	global $db, $output;

	$output->print_header("Changements dans la base de donn&eacute;es depuis la distribution Release Candidate 2");

	$contents .= "<p>Modifications n&eacute;cessaires dans la base de donn&eacute;es...";
	
	if($db->field_exists('regip', "users"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."users DROP regid;");
	}
	$db->write_query("ALTER TABLE users ADD regip varchar(50) NOT NULL;");
	
	$db->write_query("ALTER TABLE banned CHANGE lifted lifted varchar(40) NOT NULL;");
		
	if($db->field_exists('posthash', "attachments"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachments DROP posthash;");
	}
	$db->write_query("ALTER TABLE attachments ADD posthash varchar(50) NOT NULL AFTER pid;");
	
	if($db->field_exists('thumbnail', "attachments"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachments DROP thumbnail;");
	}
	$db->write_query("ALTER TABLE attachments ADD thumbnail blob NOT NULL");
	
	if($db->field_exists('thumbnailsm', "attachments"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."attachments DROP thumbnailsm;");
	}
	$db->write_query("ALTER TABLE attachments ADD thumbnailsm char(3) NOT NULL;");
	
	$db->write_query("DELETE FROM attachtypes");
	$db->write_query("INSERT INTO attachtypes VALUES(NULL,'Archive compress&eacute;','','zip gz tar rar ace cab','1024');");
	$db->write_query("INSERT INTO attachtypes VALUES(NULL,'Image JPEG','','jpg jpe jpeg','500');");
	$db->write_query("INSERT INTO attachtypes VALUES(NULL,'Document texte','text/plain','txt','200');");
	$db->write_query("INSERT INTO attachtypes VALUES(NULL,'Image GIF','image/gif','gif','500');");
	$db->write_query("INSERT INTO attachtypes VALUES(NULL,'Image Bitmap','','bmp','500');");
	$db->write_query("INSERT INTO attachtypes VALUES(NULL,'Fichier PHP','','php phps php3 php4','500');");
	$db->write_query("INSERT INTO attachtypes VALUES(NULL,'Image PNG','image/png image/x-png','png','50');");
	$db->write_query("INSERT INTO attachtypes VALUES(NULL,'Document Microsoft Word','','doc rtf','1024');");
	$db->write_query("INSERT INTO attachtypes VALUES(NULL,'Ex&eacute;cutable','','exe com bat','1024');");

	if($db->field_exists('small', "themes"))
	{
		$db->write_query("ALTER TABLE themes DROP small;");
	}
	if($db->field_exists('smallend', "themes"))
	{
		$db->write_query("ALTER TABLE themes DROP smallend;");
	}
	if($db->field_exists('font', "themes"))
	{
		$db->write_query("ALTER TABLE themes DROP font;");
	}
	if($db->field_exists('frontend', "themes"))
	{
		$db->write_query("ALTER TABLE themes DROP fontend;");
	}
	if($db->field_exists('large', "themes"))
	{
		$db->write_query("ALTER TABLE themes DROP large;");
	}
	if($db->field_exists('largeend', "themes"))
	{
		$db->write_query("ALTER TABLE themes DROP largeend;");
	}
	
	if($db->field_exists('smallfont', "themes"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes DROP smallfont;");
	}
	$db->write_query("ALTER TABLE themes ADD smallfont varchar(150) NOT NULL;");

	if($db->field_exists('smallfontsize', "themes"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes DROP smallfontsize;");
	}
	$db->write_query("ALTER TABLE themes ADD smallfontsize varchar(20) NOT NULL;");
	
	if($db->field_exists('normalfont', "themes"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes DROP normalfont;");
	}
	$db->write_query("ALTER TABLE themes ADD normalfont varchar(150) NOT NULL;");
	
	if($db->field_exists('normalfontsize', "themes"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes DROP normalfontsize;");
	}
	$db->write_query("ALTER TABLE themes ADD normalfontsize varchar(20) NOT NULL;");
	
	if($db->field_exists('largefont', "themes"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes DROP largefont;");
	}
	$db->write_query("ALTER TABLE themes ADD largefont varchar(150) NOT NULL;");
	
	if($db->field_exists('largefontsize', "themes"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes DROP largefontsize;");
	}
	$db->write_query("ALTER TABLE themes ADD largefontsize varchar(20) NOT NULL;");
	
	if($db->field_exists('menubgcolor', "themes"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes DROP menubgcolor;");
	}
	$db->write_query("ALTER TABLE themes ADD menubgcolor varchar(15) NOT NULL;");
	
	if($db->field_exists('menubgimage', "themes"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes DROP menubgimage;");
	}
	$db->write_query("ALTER TABLE themes ADD menubgimage varchar(100) NOT NULL;");
	
	if($db->field_exists('menucolor', "themes"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes DROP menucolor;");
	}
	$db->write_query("ALTER TABLE themes ADD menucolor varchar(15) NOT NULL;");
	
	if($db->field_exists('menuhoverbgcolor', "themes"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes DROP menuhoverbgcolor;");
	}
	$db->write_query("ALTER TABLE themes ADD menuhoverbgcolor varchar(15) NOT NULL;");
	
	if($db->field_exists('menuhoverbgimage', "themes"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes DROP menuhoverbgimage;");
	}
	$db->write_query("ALTER TABLE themes ADD menuhoverbgimage varchar(100) NOT NULL;");
	
	if($db->field_exists('menuhovercolor', "themes"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes DROP menuhovercolor;");
	}
	$db->write_query("ALTER TABLE themes ADD menuhovercolor varchar(15) NOT NULL;");
	
	if($db->field_exists('panelbgcolor', "themes"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes DROP panelbgcolor;");
	}
	$db->write_query("ALTER TABLE themes ADD panelbgcolor varchar(15) NOT NULL;");
	
	if($db->field_exists('panelbgimage', "themes"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes DROP panelbgimage;");
	}
	$db->write_query("ALTER TABLE themes ADD panelbgimage varchar(100) NOT NULL;");
	
	if($db->field_exists('linkhover', "themes"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes DROP linkhover;");
	}
	$db->write_query("ALTER TABLE themes ADD linkhover varchar(15) NOT NULL AFTER link;");
	
	if($db->field_exists('extracss', "themes"))
	{
		$db->write_query("ALTER TABLE ".TABLE_PREFIX."themes DROP extracss;");
	}
	$db->write_query("ALTER TABLE themes ADD extracss varchar(10) NOT NULL AFTER linkhover;");
	

	$db->write_query("UPDATE themes SET linkhover='#000000'");

	$db->write_query("UPDATE themes SET smallfont='Verdana', smallfontsize='11px', normalfont='Verdana', normalfontsize='13px', largefont='Verdana', largefontsize='20px';");

	$contents .= "done</p>";

	$db->drop_table("settinggroups", false, false);
	$db->write_query("CREATE TABLE settinggroups (
	  gid smallint(6) NOT NULL auto_increment,
	  name varchar(220) NOT NULL default '',
	  description text NOT NULL,
	  disporder smallint(6) NOT NULL default '0',
	  isdefault char(3) NOT NULL default '',
	  PRIMARY KEY  (gid)
	);");

	$db->drop_table("settings", false, false);
	$db->write_query("CREATE TABLE settings (
	  sid smallint(6) NOT NULL auto_increment,
	  name varchar(120) NOT NULL default '',
	  title varchar(120) NOT NULL default '',
	  description text NOT NULL,
	  optionscode text NOT NULL,
	  value text NOT NULL,
	  disporder smallint(6) NOT NULL default '0',
	  gid smallint(6) NOT NULL default '0',
	  PRIMARY KEY  (sid)
	);");

	$output->print_contents("$contents<p>Cliquez sur \"Suivant\" pour continuer le processus de mise &agrave; jour.</p>");
	$output->print_footer("1_dbchanges2");
}
function upgrade1_dbchanges2()
{
	global $db, $output;

	$output->print_header("Changements de la base de donn&eacute;es depuis la distribution Release Candidate 2");

	$db->write_query("DELETE FROM themes");
	$arr = @file("./resources/theme.mybb");
	$contents = @implode("", $arr);

	// now we have $contents we can start dealing with the .theme file!
	$themee = explode("(_!&!_)", $contents);
	$thver = $themee[0];
	$thname = "Light";
	$thcontents = $themee[2];
	$thtemplates = $themee[3];

	// go through the actual theme part (colours etc)
	$themefile = explode("|#*^^&&^^*#|", $thcontents);
	$themeq1 = "";
	$themeq2 = "";
	foreach($themefile as $key => $val)
	{
		list($item, $value) = explode("|#*!!**!!*#|", $val);
		if($db->field_exists($item, "themes"))
		{
			$themebits[$item] = $value;
		}
	}


	// add the theme set
	$tquery1 = "";
	$tquery2 = "";
	unset($themebits['templateset']);
	foreach($themebits as $key => $val)
	{
		if($key && $val)
		{
			$tquery1 .= ",$key";
			$tquery2 .= ",'$val'";
		}
	}
	$db->write_query("INSERT INTO themes (tid,name,templateset$tquery1) VALUES ('','((master))','$sid'$tquery2)");
	$thetid = $db->write_query("INSERT INTO themes (tid,name,templateset$tquery1) VALUES ('','$thname','$sid2'$tquery2)");
	$db->write_query("UPDATE themes SET def='1' WHERE tid='$thetid'");

	$output->print_contents("Th&egrave;me import&eacute;<p>Cliquez sur \"Suivant\" pour continuer le processus de mise &agrave; jour.</p>");
	$output->print_footer("1_dbchanges3");
}
function upgrade1_dbchanges3()
{

	global $db, $output;

	$output->print_header("Changements dans la base de donn&eacute;es depuis la distribution Release Candidate 2");

	$contents .= "<p>R&eacute;insertion des param&egrave;tres...";

	$db->write_query("INSERT INTO `settinggroups` (`gid`, `name`, `description`, `disporder`, `isdefault`) VALUES (1, 'Configuration g&eacute;n&eacute;rale', 'Cette section contient divers param&egrave;tres tels que le nom de votre forum et son url, ainsi que le nom de votre site web et son url..', 2, 'yes');");
	$db->write_query("INSERT INTO `settinggroups` (`gid`, `name`, `description`, `disporder`, `isdefault`) VALUES (3, 'Formats de date et d\'heure', 'Ici vous pouvez sp&eacute;cifier les diff&eacute;rents Formats de date et d\'heure utilis&eacute;s pour afficher les dates et heures dans les forums.', 4, 'yes');");
	$db->write_query("INSERT INTO `settinggroups` (`gid`, `name`, `description`, `disporder`, `isdefault`) VALUES (7, 'Options d\'affichage du Forum', 'Cette section vous permet de g&eacute;rer les diff&eacute;rents param&egrave;tres utilis&eacute;s dans l\'affichage du forum (forumdisplay.php) de vos forums comme activer et d&eacute;sactiver diff&eacute;rentes fonctionnalit&eacute;s.', 6, 'yes');");
	$db->write_query("INSERT INTO `settinggroups` (`gid`, `name`, `description`, `disporder`, `isdefault`) VALUES (8, 'Options d\'affichage du sujet', 'Cette section vous permet de g&eacute;rer divers param&egrave;tres utilis&eacute;s sur la page d\'affichage du sujet (showthread.php) de vos forums comme l\'activation ou la d&eacute;sactivation des diff&eacute;rentes fonctionnalit&eacute;s.', 7, 'yes');");
	$db->write_query("INSERT INTO `settinggroups` (`gid`, `name`, `description`, `disporder`, `isdefault`) VALUES (10, 'MyCode and Formatting Options', '', 16, 'yes');");
	$db->write_query("INSERT INTO `settinggroups` (`gid`, `name`, `description`, `disporder`, `isdefault`) VALUES (11, 'Messagerie priv&eacute;e', 'Diverses options relatives au syst&egrave;me de Messagerie priv&eacute;e de MyBB (private.php) peuvent &ecirc:tre g&eacute;r&eacute;es et d&eacute;termin&eacute;es ici.', 11, 'yes');");
	$db->write_query("INSERT INTO `settinggroups` (`gid`, `name`, `description`, `disporder`, `isdefault`) VALUES (12, 'Liste des membres', 'Cette section vous permet de contr&ocirc;ler divers aspects de la liste des membres du forum (memberlist.php), comme le nombre de membres &agrave; afficher par page, et les fonctionnalit&eacute;s &agrave; activer ou d&eacute;sactiver.', 10, 'yes');");
	$db->write_query("INSERT INTO `settinggroups` (`gid`, `name`, `description`, `disporder`, `isdefault`) VALUES (13, 'Envoi de messages', 'Ces options contr&ocirc;lent les divers &eacute;l&eacute;ments en relation &agrave; la cr&eacute;ation de nouveaux messages sur le forum.', 9, 'yes');");
	$db->write_query("INSERT INTO `settinggroups` (`gid`, `name`, `description`, `disporder`, `isdefault`) VALUES (14, 'Options Bannissement', '', 15, 'yes');");
	$db->write_query("INSERT INTO `settinggroups` (`gid`, `name`, `description`, `disporder`, `isdefault`) VALUES (16, 'Options Accueil du Forum', 'Cette section vous permet de g&eacute;rer les diff&eacute;rents param&egrave;tres utilis&eacute;s sur l\'accueil du forum (index.php) de vos forums comme l\'activation ou la d&eacute;sactivation de diff&eacute;rentes fonctionnalit&eacute;s.', 5, 'yes');");
	$db->write_query("INSERT INTO `settinggroups` (`gid`, `name`, `description`, `disporder`, `isdefault`) VALUES (17, 'Calendrier', 'Le calendrier du forum permet de voir la liste des &eacute;v&eacute;nements publics et priv&eacute;s et les anniversaires des membres. Cette section vous permet de contr&ocirc;ler et de g&eacute;rer les param&egrave;tres du calendrier.', 12, 'yes');");
	$db->write_query("INSERT INTO `settinggroups` (`gid`, `name`, `description`, `disporder`, `isdefault`) VALUES (27, 'Options Serveur et Optimisation', 'Ces options vous permettent de fixer des pr&eacute;f&eacute;rences de serveur et d\'optimisation afin de r&eacute;duire la charge de votre serveur, et d'atteindre une meilleure performance sur votre forum.', 3, 'yes');");
	$db->write_query("INSERT INTO `settinggroups` (`gid`, `name`, `description`, `disporder`, `isdefault`) VALUES (19, 'Options d\'Enregistrement et de Profil', 'Ici vous pouvez contr&ocirc;ler divers param&egrave;tres relatifs au compte d\'utilisateur, enregistrement et gestion.', 8, 'yes');");
	$db->write_query("INSERT INTO `settinggroups` (`gid`, `name`, `description`, `disporder`, `isdefault`) VALUES (20, 'Emotic&ocirc;nes cliquables et BB Code', '', 17, 'yes');");
	$db->write_query("INSERT INTO `settinggroups` (`gid`, `name`, `description`, `disporder`, `isdefault`) VALUES (21, 'Common Language Bits', '', 18, 'yes');");
	$db->write_query("INSERT INTO `settinggroups` (`gid`, `name`, `description`, `disporder`, `isdefault`) VALUES (23, 'Qui est en ligne', '', 13, 'yes');");
	$db->write_query("INSERT INTO `settinggroups` (`gid`, `name`, `description`, `disporder`, `isdefault`) VALUES (26, 'Forum En-Ligne / Hors-Ligne', 'Ces param&egrave;tres vous permettent de basculer globalement votre forum en-ligne ou hors-ligne, et &eacute;ventuellement d\'en sp&eacute;cifier la raison.', 1, 'yes');");
	$db->write_query("INSERT INTO `settinggroups` (`gid`, `name`, `description`, `disporder`, `isdefault`) VALUES (28, 'Pr&eacute;f&eacute;rences Panneau de Contr&ocirc;le (Global)', '', 19, 'yes');");
	$db->write_query("INSERT INTO `settinggroups` (`gid`, `name`, `description`, `disporder`, `isdefault`) VALUES (30, 'Param&egrave;tres du Portail', '', 14, 'yes');");

	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (1, 'boardclosed', 'Forum ferm&eacute;', 'Si vous avez devez fermer votre forum pour modifications ou mise &agrave; jour, faites-le ici. Les visiteurs ne pourront voir vos forums, cependant, ils verront le message en indiquant la raison ci-dessous.</b>', 'yesno', 'no', 1, 26);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (2, 'boardclosed_reason', 'Raison de fermeture du forum', 'Si votre forum est ferm&eacute;, vous pouvez laisser ici le message que vos visiteurs varront s\'ils viennent sur le forum.', 'textarea', 'Ces forums sont actuellement ferm&eacute;s pour maintenance. Veuillez revenir plus tard.', 2, 26);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (3, 'bbname', 'Nom du Forum', 'Le nom de votre forum. Nous vous recommandons de ne pas d&eacute;passer 75 caract&egrave;res.', 'text', 'MyBB Forums', 1, 1);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (4, 'bburl', 'URL du Forum', 'L\'url de vos forums.<br />Incluez http://. N\'incluez PAS de slash terminal.', 'text', '', 2, 1);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (5, 'homename', 'Nom de la page d\'accueil', 'Le nom de votre page d\'accueil. Le lien sur celle-ci sera ins&eacute;r&eacute; dans le pied de page.', 'text', 'MyBB', 3, 1);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (6, 'homeurl', 'URL de la page d\'accueil', 'L'URL compl&egrave;te de votre page d\'accueil. Le lien sera ins&eacute;r&eacute; dans le pied de page ainsi que son nom.', 'text', 'http://www.mybb.com', 4, 1);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (7, 'reportviapms', 'Send Reported Posts via PMS', 'Do you want to send reported post messages via the private messaging function to moderators?', 'yesno', 'yes', 5, 8);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (8, 'dateformat', 'Format de date', 'Le format des dates utilis&eacute; sur le forum. Ce format utilise la fonction PHP date(). Nous recommandons de ne pas changer ceci sauf si vous &ecirc:tes s&ucirc;r de ce que vous faites.', 'text', 'm-d-Y', 1, 3);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (9, 'adminemail', 'Email Admin', 'L\'adresse email de l\'administrateur. Elle sera utilis&eacute;e pour l\'envoi de messages via les forums.', 'text', '', 5, 1);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (10, 'timeformat', 'Format d\'heure', 'Le format des heures utilis&eacute; sur le forum. Ce format utilise la fonction PHP date(). Nous recommandons de ne pas changer ceci sauf si vous &ecirc:tes s&ucirc;r de ce que vous faites.', 'text', 'h:i A', 2, 3);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (11, 'threadsperpage', 'Sujets par page', '', 'text', '20', 1, 7);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (12, 'stickyprefix', 'Pr&eacute;fixe des sujets Post-it', 'Le pr&eacute;fixe des sujets qui ont &eacute;t&eacute; mis en post-it par un mod&eacute;rateur ou un administrateur.', 'text', '<b>Sticky:</b>', 2, 7);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (13, 'hottopic', 'R&eacute;ponses pour un sujet Hot', 'Le nombre de r&eacute;ponses n&eacute;cessaires &agrave; un sujet pour qu\'il soit consid&eacute;r&eacute; comme \'hot\'.', 'text', '20', 3, 7);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (14, 'cookiedomain', 'Domaine des Cookies', 'Le domaine dans lequel seront plac&eacute;s les cookies. Peut rester vide. Peut aussi commencer par un . ainsi tous les sous-domaines sont couverts.', 'text', '', 8, 1);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (15, 'cookiepath', 'Chemin des cookies', 'Le chemin dans lequel seront plac&eacute;s les cookies, nous vous recommandons de mettre le chemin complet sur le r&eacute;pertoire de vos forums avec un slash terminal.', 'text', '', 9, 1);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (16, 'pollprefix', 'Pr&eacute;fixe des sondages', 'Le pr&eacute;fixe de l\'affichage du forum contant les sondages.', 'text', '<b>Poll:</b>', 4, 7);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (17, 'postsperpage', 'Messages par page:', 'Le nombre de messages &agrave; afficher par page. Nous vous recommandons de ne pas d&eacute;passer 20 pour les gens ayant des connexions lentes.', 'text', '10', 1, 8);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (18, 'regdateformat', 'Format date d\'enregistrement', 'Le format utilis&eacute; pour indiquer la date d\'enregistrement de l\'utilisateur dans l\'affichage des sujets.', 'text', 'M Y', 3, 3);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (19, 'sigmycode', 'Autoriser myCode dans les signatures', 'Voulez-vous autoriser l\'utilisation de myCode dans les signatures d\'utilisateurs?', 'yesno', 'yes', 1, 19);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (20, 'sigsmilies', 'Autoriser les &eacute;motic&ocirc;nes dans les signatures', 'Voulez-vous autoriser l\'utilisation des &eacute;motic&ocirc;nes dans les signatures d\'utilisateurs?', 'yesno', 'yes', 3, 19);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (21, 'sightml', 'Autoriser le HTML dans les signatures', 'Voulez-vous autoriser l\'utilisation du HTML dans les signatures d\'utilisateurs?', 'yesno', 'no', 4, 19);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (22, 'sigimgcode', 'Autoriser le code [img] dans les signatures', 'Voulez-vous autoriser l\'utilisation du code [img] dans les signatures d\'utilisateurs?', 'yesno', 'yes', 5, 19);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (23, 'quoteboxstyle', 'Bo&icirc;tes citation fantaisie', 'En s&eacute;lectionnant oui, les citations seront dans une table et auront un look plus professionnel. En s&eacute;lectionnant non, les citations auront leur aspect habituel.', 'yesno', 'yes', 1, 10);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (24, 'codeboxstyle', 'Bo&icirc;tes code fantaisie', 'En s&eacute;lectionnant oui, les codes seront dans une table et auront un look plus professionnel. En s&eacute;lectionnant non, les codes auront leur aspect habituel.', 'yesno', 'yes', 2, 10);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (25, 'threadusenetstyle', 'Visualiser les sujets style Usenet', 'Si vous choisissez oui, les messages auront un aspect similaire &agrave; ceux de USENET. Non donnera aux messages le style moderne.', 'yesno', 'no', 4, 8);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (26, 'pmsallowhtml', 'Autoriser le HTML', 'Si vous choisissez oui, le HTML peut &ecirc:tre utilis&eacute; dans les messages priv&eacute;s.', 'yesno', 'no', 1, 11);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (27, 'pmsallowmycode', 'Autoriser MyCode', 'Si vous choisissez oui, MyCode peut &ecirc:tre utilis&eacute; dans les messages priv&eacute;s.', 'yesno', 'yes', 2, 11);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (28, 'pmsallowsmilies', 'Autoriser les emotic&ocirc;nes', 'Si vous choisissez oui, les emotic&ocirc;nes pourront &ecirc:tre utilis&eacute;s dans les messages priv&eacute;s.', 'yesno', 'yes', 3, 11);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (29, 'pmsallowimgcode', 'Autoriser le code [img]', 'Si vous choisissez oui, les codes [img] pourront &ecirc:tre utilis&eacute;s dans les messages priv&eacute;s.', 'yesno', 'yes', 4, 11);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (30, 'siglength', 'Limite de longueur des signatures', 'Le nombre maximum de caract&egrave;res qu\'un utilisateur peut mettre dans une signature.', 'text', '255', 6, 19);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (31, 'messagelength', 'Longueur maximale du message', 'Le nombre maximum de caract&egrave;res autoris&eacute;s dans un message. Si vous mettez &agrave; 0, la longueur est illimit&eacute;e.', 'text', '0', 1, 13);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (32, 'membersperpage', 'Membres par page', 'Le nombre de membres &agrave; afficher par page dans la liste des membres.', 'text', '20', 1, 12);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (33, 'load', 'Limitation Charge *NIX', 'Limite le maximum de charge du serveur avant que myBB ne rejette les visiteurs. 0 pour aucune. La limite recommand&eacute;e est 5.0.', 'text', '0', 5, 27);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (34, 'emailkeep', 'Garder email utilisateurs', 'Si un utilisateur a un email d&eacute;j&agrave; enregistr&eacute; dans votre liste de bannis, il peut &ecirc:tre autoris&eacute; &agrave; le garder.', 'yesno', 'no', 4, 14);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (35, 'ipban', 'Bannir par IP', 'Ici, vous pouvez sp&eacute;cifier des adresses IP ou une plage d\'adressess IP. Vous pouvez s&eacute;parer chaque IP par une virgule.', 'textarea', '', 2, 14);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (36, 'emailban', 'Bannir par Email', 'Vous pouvez sp&eacute;cifier des adresses email sp&eacute;cifiques &agrave; bannir, ou vous pouvez sp&eacute;cifier un domaine. Vous devez s&eacute;parer les adresses email et les domaines par un espace.', 'textarea', '', 3, 14);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (37, 'avatarsize', 'Taille maximum de l\'Avatar upload&eacute;', 'Taille maximum du fichier (en kilooctets) des avatars upload&eacute;s.', 'text', '10', 8, 19);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (38, 'avatardir', 'Dossier des Avatars', 'Le dossier o&ugrave; vos avatars sont stock&eacute;s. Ceci est utilis&eacute; dans la liste des avatars du CP Utilisateur.', 'text', 'images/avatars', 7, 19);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (39, 'showeditedby', 'Afficher le message \'&eacute;dit&eacute; par\'', 'Quand un message est modifi&eacute; par un utilisateur r&eacute;gulier, voulez-vous afficher le message \'&eacute;dit&eacute; par\'?', 'yesno', 'yes', 6, 13);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (40, 'maxposts', 'Messages maximum par jour', 'Le nombre total de messages autoris&eacute;s par utilisateur et par jour. 0 pour illimit&eacute;.', 'text', '0', 2, 13);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (41, 'showeditedbyadmin', 'Afficher les messages \'&eacute;dit&eacute; par\' pour l'Equipe du Forum', 'Voulez-vous afficher le message \'&eacute;dit&eacute; par\' pour l'&eacute;quipe du forum quand ils &eacute;ditent leurs propres posts?', 'yesno', 'yes', 7, 13);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (42, 'bannedusernames', 'Bannir Nom d\'Utilisateurs', 'Bannir des utilisateurs en enregistrant certains noms. S&eacute;parez-les par un espace.', 'textarea', 'drcracker Oops! hmmm', 1, 14);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (43, 'maxpolloptions', 'Nombre maximum d\'options de sondage', 'Le nombre maximum d\'options pour les sondages que les utilisateurs peuvent poster.', 'text', '10', 3, 13);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (44, 'dotfolders', 'Utiliser les ic&ocirc;nes \'point\'', 'Voulez-vous afficher des points sur les indicateurs de sujets auxquels les utilisateurs ont particip&eacute;.', 'yesno', 'yes', 8, 7);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (45, 'contactlink', 'Lien Nous contacter', 'Ceci sera utilis&eacute; pour le lien \'Nous contacter_' au pied de toutes les pages des forums. Ce peut &ecirc:tre une adresse (utilisant mailto:email@website.com) ou un hyperlien.', 'text', 'mailto:contact@mybb.com', 6, 1);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (46, 'showdescriptions', 'Afficher descriptions Forum?', 'Cette option vous permet de d&eacute;sactiver l\'affichage des descriptions pour les forums.', 'yesno', 'yes', 1, 16);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (47, 'showbirthdays', 'Afficher les anniversaires du jour?', 'Voulez-vous afficher les anniversaires du jour sur la page d\'accueil du forum?', 'yesno', 'yes', 2, 16);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (48, 'showwol', 'Afficher qui est en ligne?', 'Afficher les utilisateurs actuellement actifs sur la la page d'accueil du forum.', 'yesno', 'yes', 4, 16);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (49, 'hideprivateforums', 'Cacher les forums priv&eacute;s?', 'Vous pouvez cacher des forums priv&eacute;s en activant cette option. Cette option cache aussi les forums dans les liens sur les forums et tous les sous-forums.', 'yesno', 'yes', 3, 16);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (50, 'showsimilarthreads', 'Afficher le tableau des \'Sujets Similaires\'', 'Le tableau des sujets similaires affiche les sujets qui ont un rapport avec le sujet actuellement lu. Vous pouvez d&eacute;terminer la pertinence du rapport ci-dessous.', 'yesno', 'no', 5, 8);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (51, 'similarityrating', 'Pertinence de rapport de sujets similaires', 'Ceci vous permet de limiter les sujets similaires &agrave; ceux ayant le plus de rapport (0 &eacute;tant sans rapport). Ce nombre ne doit pas d&eacute;passer 10 et ne doit pas &ecirc:tre trop petit (<5) pour de gros forums.', 'text', '1', 7, 8);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (52, 'similarlimit', 'Limite de sujets similaires', 'Ici vous pouvez modifier le nombre total de sujets similaires &agrave; afficher dans le tableau des sujets similaires. Il est recommand&eacute; de ne pas d&eacute;passer 15 pour les utilisateurs en 56k.', 'text', '10', 8, 8);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (53, 'privateeventcolor', 'Couleur des &eacute;v&eacute;nements priv&eacute;s', 'La couleur que prendront les &eacute;v&eacute;nements priv&eacute;s sur la page principale du calendrier.', 'text', 'red', 2, 17);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (54, 'publiceventcolor', 'Couleur des &eacute;v&eacute;nements publics', 'La couleur que prendront les &eacute;v&eacute;nements publics sur la page principale du calendrier.', 'text', 'green', 1, 17);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (55, 'movedprefix', 'Pr&eacute;fixe des sujets d&eacute;plac&eacute;s', 'Le pr&eacute;fixe que les sujets d&eacute;plac&eacute;s vers un autre forum doivent avoir.', 'text', '<b>Moved:</b>', 5, 7);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (56, 'hottopicviews', 'Affichages pour un sujet Hot', 'Le nombre d'affichages n&eacute;cessaires &agrave; un sujet pout qu'il soit consid&eacute;r&eacute; comme \'hot\'.', 'text', '150', 7, 7);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (59, 'logip', 'Journal des adresses IP des posteurs', 'Voulez-vous &eacute;tablir un journal des addresses ip des utilisateurs qui postent, et qui acceptent aussi de montrer leurs adresses ip.', 'radio\r\nno=Pas de journal des IP\r\nhide=Afficher aux Admins & Mods\r\nshow=Afficher &agrave; tous les utilisateurs', 'hide', 3, 13);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (60, 'statslimit', 'Limite des statistiques', 'Le nombre de sujets &agrave; afficher dans la page statistiques pour les records de r&eacute;ponses et d\'affichages.', 'text', '15', 10, 1);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (65, 'modlist', 'Liste des mod&eacute;rateurs des Forums', 'Ici vous pouvez activer ou d&eacute;sactiver la liste des mod&eacute;rateurs pour chaque forum de index.php et de forumdisplay.php', 'onoff', 'on', 5, 16);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (66, 'smilieinserter', 'Insertion d\'&eacute;motic&ocirc;nes cliquables', 'Les &eacute;motic&ocirc;nes cliquables appara&icirc;tront dans les pages d\'envoi de message si cette option est mise sur \'on\'.', 'onoff', 'on', 1, 20);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (67, 'smilieinsertertot', 'Nb. d\'&eacute;motic&ocirc;nes &agrave; afficher', 'Entrez le nombre total d\'&eacute;motic&ocirc;nes &agrave; afficher dans le panneau d\'insertion d\'&eacute;motic&ocirc;nes.', 'text', '20', 2, 20);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (68, 'smilieinsertercols', 'Nb. de colonnes d\'&eacute;motic&ocirc;nes &agrave; afficher', 'Entrez le nombre de colonnes que vous voulez afficher dans le panneau d\'insertion d\'&eacute;motic&ocirc;nes.', 'text', '4', 3, 20);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (69, 'cantext', '\'Can\' text', 'The text that will be used in templates when the user has permission to perform an action (eg. post new threads).', 'text', '<b>can</b>', 1, 21);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (70, 'canttext', '\'Cannot\' text', 'The text that will be used in templates when the user does not have permission to perform an action (eg. post new threads).', 'text', '<b>cannot</b>', 2, 21);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (71, 'ontext', '\'On\' text', 'The text that will be used when a feature is turned On (eg. BB Code in posts).', 'text', '<b>On</b>', 3, 21);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (72, 'offtext', '\'Off\' text', 'The text that will be used when a feature is turned Off (eg. BB Code in posts).', 'text', '<b>Off</b>', 4, 21);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (73, 'showindexstats', 'Afficher la section des petites statistiques', 'Voulez-vous afficher le nombre total de sujets, de messages, de membres, et le dernier membre sur l\'accueil du forum?', 'yesno', 'yes', 6, 16);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (74, 'regtype', 'M&eacute;thode d\'enregistrement', 'Veuillez s&eacute;lectionner la m&eacute;thode &agrave; utiliser quand les utilisateurs s\'enregistrent.', 'select\r\ninstant=Activation imm&eacute;diate\r\nverify=V&eacute;rification par envoi d'email\r\nrandompass=Envoyer un mot de passe al&eacute;atoire', 'verify', 1, 19);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (75, 'userpppoptions', 'Choix du nombre de messages par page', 'Si vous voulez que les utilisateurs puissent s&eacute;lectionner le nombre de messages &agrave; afficher par page dans un sujet, entrez les options qu\'ils pourront choisir, s&eacute;par&eacute;es par des virgules. Si ce champ est laiss&eacute; vide, ils ne pourront choisir le nombre de messages par page.', 'text', '5,10,20,25,30,40,50', 2, 8);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (76, 'usertppoptions', 'Nombre de sujets s&eacute;lectionnable par page', Si vous voulez autoriser les utilisateurs &agrave; choisir le nombre de sujets &agrave; afficher par page dans un forum, entrez les options qu\'ils pourront s&eacute;lectionner s&eacute;par&eacute;es par des virgules. Si vous laissez ce champ vide, le choix du nombre de sujets par page ne sera pas accessible.', 'text', '10,20,25,30,40,50', 6, 7);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (77, 'wolcutoffmins', 'D&eacute;lai de coupure (minutes)', 'Le nombre de minutes avant qu\'un utilisateur soit marqu&eacute; hors-ligne. Recommand&eacute;: 15.', 'text', '15', 1, 23);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (78, 'postfloodcheck', 'V&eacute;rification du Flood', 'Mettez &agrave; on si vous voulez activer la v&eacute;rification du flood pour les messages. Sp&eacute;cifiez ci-dessous l\'intervalle de temps entre les messages.', 'onoff', 'on', 4, 13);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (79, 'postfloodsecs', 'D&eacute;lai du Flood', 'Indiquez le temps (en secondes) d\'attente des utilisateurs entre deux messages. Pour prendre effet, l'option ci-dessus doit &ecirc:tre sur on.', 'text', '60', 5, 13);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (80, 'gzipoutput', 'Utiliser la compression GZip des pages?', 'Voulez-vous compresser les pages au format GZip quand elles sont envoy&eacute;es au navigateur? Ceci entra&icirc;ne des t&eacute;l&eacute;chargements plus rapides pour vos visiteurs, et un trafic moindre pour vous.', 'yesno', 'yes', 1, 27);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (81, 'standardheaders', 'Envoyer des ent&ecirc:tes standard', 'Avec certains serveurs web, cette option peut causer des probl&egrave;mes, avec d\'autres, elle est n&eacute;cessaire. ', 'yesno', 'no', 2, 27);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (82, 'nocacheheaders', 'Envoyer des ent&ecirc:tes sans cache', 'Avec cette option vous pouvez emp&ecirc:cher la mise en cache de la page par le navigateur.', 'yesno', 'no', 3, 27);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (83, 'maxpostimages', 'Images maximum par message', 'Entrez le nombre maximum d\'images (incluant les &eacute;motic&ocirc;nes) qu\'un utilisateur peut mettre dans son message. Mettez &agrave; 0 pour d&eacute;sactiver ceci.', 'text', '10', 8, 13);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (84, 'maxsigimages', 'Nombre maximum d\'images par signature', 'Entrez le nombre maximum d\'images (incluant les &eacute;motic&ocirc;nes) qu\'un utilisateur peut mettre dans sa signature. Mettez &agrave; 0 pour d&eacute;sactiver enti&egrave;rement les images dans les signatures.', 'text', '2', 2, 19);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (85, 'browsingthisforum', 'Utilisateurs parcourant ce Forum', 'Ici vous pouvez d&eacute;sactiver la fonctionnalit&eacute; \'utilisateurs parcourant ce forum\'.', 'onoff', 'on', 9, 7);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (86, 'usereferrals', 'Utiliser le syst&egrave;me Referrals', 'Voulez-vous utiliser le syst&egrave;me referrals d\'utilisateur dans ces forums?', 'yesno', 'yes', 3, 19);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (87, 'subscribeexcerpt', 'Nombre ce caract&egrave;res pour Notificaton de r&eacute;ponse', 'Combien de caract&egrave;res du message voulez-vous envoyer avec la notification email d\'une nouvelle r&eacute;ponse.', 'text', '100', 9, 13);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (93, 'cpstyle', 'Style du Panneau de Contr&ocirc;le', 'Le style par d&eacute;faut utilis&eacute; par le Panneau de Contr&ocirc;le. Les styles sont dans le dossier styles. Un nom de dossier dans ce dossier devient le titre du style et style.css dans le dossier du titre de style est le fichier style css.', 'cpstyle', 'Axiom', 2, 28);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (121, 'cplanguage', 'Langue du Panneau de Contr&ocirc;le', 'La langue du Panneau de Contr&ocirc;le.', 'adminlanguage', 'english', 1, 28);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (94, 'minnamelength', 'Longueur minimum du Nom d\'utilisateur', 'Le nombre minimum de caract&egrave;res du nom qu\'un utilisateur peut utiliser pour s\'enregistrer.', 'text', '3', 5, 19);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (95, 'maxnamelength', 'Longueur maximum Nom d\'utilisateur', 'Le nombre maximum de caract&egrave;res du nom qu\'un utilisateur peut utiliser pour s\'enregistrer.', 'text', '30', 6, 19);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (96, 'redirects', 'Redirection comment&eacute;e des pages', 'Ceci active la redirection comment&eacute;e des pages au lieu d\'envoyer directement l\'utilisateur sur la page.', 'onoff', 'on', 4, 27);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (97, 'betweenregstime', 'Intervalle de temps entre enregistrements', 'L\'intervalle de temps (en heures) pour interdire l\'enregistrement &agrave; des utilisateurs qui ont d&eacute;j&agrave; enregistr&eacute; un compte avec la m&ecirc:me adresse ip.', 'text', '24', 2, 19);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (98, 'maxregsbetweentime', 'Maximum d\'enregistrements par adresse IP', 'Cette option vous permet de fixer le nombre maximum de fois qu\'un utilisateur donn&eacute; peut s'enregistrer dans l\'intervalle de temps sp&eacute;cifi&eacute; ci-dessus.', 'text', '2', 4, 19);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (111, 'portal_showstats', 'Voulez-vous afficher le nombre total de messages, sujets, membres et le dernier membre enregistr&eacute; sur la page du portail ?', 'yesno', 'yes', 5, 30);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (110, 'portal_showpms', 'Afficher le nombre de MPs des utilisateurs', 'Voulez-vous afficher le nombre de messages priv&eacute;s que l\'utilisateur actuel a dans son syst&egrave;me pm.', 'yesno', 'yes', 4, 30);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (109, 'portal_showwelcome', 'Afficher la bo&icirc;te de bienvenue', 'Voulez-vous afficher la bo&icirc;te de bienvenue aux visiteurs / utilisateurs.', 'yesno', 'yes', 3, 30);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (108, 'portal_numannouncements', 'Nombre d\'annonces &agrave; afficher', 'Veuillez entrer le nombre d\'annonces &agrave; afficher dans la page principale.', 'text', '10', 2, 30);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (103, 'portal_showstats', 'Afficher les statistiques du forum', 'Voulez-vous afficher le nombre total de messages, sujets, membres et le dernier membre enregistr&eacute; sur la page du portail?', 'yesno', 'yes', 5, 29);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (104, 'portal_showwol', 'Afficher qui est en ligne', 'Voulez-vous afficher l\'information \'Qui est en ligne\' aux utilisateurs visitant la page du portail?', 'yesno', 'yes', 6, 29);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (107, 'portal_announcementsfid', 'ID du Forum pour r&eacute;cup&eacute;rer les annonces', 'Veuillez entrer les ids de forum (fid) du(des) forum(s) d\'o&ugrave; vous voulez r&eacute;cup&eacute;rer les annonces. S&eacute;parez-les par une virgule (,)', 'text', '1', 1, 30);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (106, 'portal_showdiscussionsnum', 'Nombre de derni&egrave;res discussions &agrave; afficher', 'Veuillez entrer le nombre de discussions du forum actuel &agrave; afficher sur la page du portail.', 'text', '10', 8, 29);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (112, 'portal_showwol', 'Afficher qui est en ligne', 'Voulez-vous afficher l\'information \'Qui est en ligne\' aux utilisateurs visitant la page du portail?', 'yesno', 'yes', 6, 30);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (113, 'portal_showsearch', 'Afficher la bo&icirc;te de recherche', 'Voulez-vous afficher la bo&icirc;te de recherche, permettant aux utilisateurs de rechercher rapidement dans le forum sur la page du portail?', 'yesno', 'yes', 7, 30);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (114, 'portal_showdiscussions', 'Afficher les derni&egrave;res discussions', 'Voulez-vous afficher les discussions actuelles du forum sur la page du portail?', 'yesno', 'yes', 8, 30);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (115, 'portal_showdiscussionsnum', 'Nombre de derni&egrave;res discussions &agrave; afficher', 'Veuillez entrer le nombre de discussions du forum actuel &agrave; afficher sur la page du portail.', 'text', '10', 9, 30);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (116, 'attachthumbh', 'Hauteur maximum pour les miniatures de pi&egrave;ces jointes', 'Entrez la hauteur maximale de g&eacute;n&eacute;ration des miniatures.', 'text', '60', 12, 13);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (117, 'attachthumbw', 'Largeur maximum pour les miniatures de pi&egrave;ces jointes', 'Entrez la largeur maximale de g&eacute;n&eacute;ration des miniatures.', 'text', '60', 13, 13);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (118, 'maxattachments', 'Maximum de pi&egrave;ces jointes par message', 'Le nombre maximum de pi&egrave;ces jointes qu\'un utilisateur est autoris&eacute; &agrave; uploader par message.', 'text', '5', 10, 13);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (119, 'attachthumbnails', 'Afficher les miniatures de pi&egrave;ces jointes dans les messages', 'Voulez-vous afficher les miniatures g&eacute;n&eacute;r&eacute;es pour les images jointes dans les messages?', 'yesno', 'yes', 11, 13);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (120, 'polloptionlimit', 'Longueur maximum de l\'option Sondage', 'La longueur maximum que chaque option de sondage peut avoir. (Mettez &agrave; 0 pour d&eacute;sactiver).', 'text', '250', 1, 13);");
	$db->write_query("INSERT INTO `settings` (`sid`, `name`, `title`, `description`, `optionscode`, `value`, `disporder`, `gid`) VALUES (122, 'timezoneoffset', 'Fuseau horaire par d&eacute;faut', 'Vous pouvez ici d&eacute;terminer le fuseau horaire par d&eacute;faut pour les invit&eacute;s et les membres utilisant le fuseau par d&eacute;faut.', 'text', '+1', 4, 3);");
	
	$output->print_contents("$contents<p>Cliquez sur \"Suivant\" pour continuer le processus de mise &agrave; jour.</p>");
	$output->print_footer("1_done");
}
?>